/* globalid2rfc.c - Converts a GlobalDomId struct into a RFC string */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/format/RCS/globalid2rfc.c,v 5.0 90/09/20 16:05:01 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/format/RCS/globalid2rfc.c,v 5.0 90/09/20 16:05:01 pp Exp Locker: pp $
 *
 * $Log:	globalid2rfc.c,v $
 * Revision 5.0  90/09/20  16:05:01  pp
 * rcsforce : 5.0 public release
 * 
 */



#include        "util.h"
#include        "mta.h"



/* ---------------------  Begin  Routines  -------------------------------- */



void globalid2rfc (gp, buffer)  /* GlobalDomainIdentifier -> RFC */
GlobalDomId     *gp;
char            *buffer;
{
	char    tbuf[LINESIZE];

	tbuf[0] = '\0';

	if (gp -> global_Private) 
		(void) sprintf (tbuf, "/PRMD=%s", gp -> global_Private);

	if (gp -> global_Admin) {
		if (tbuf[0] == '\0')
			(void) sprintf(tbuf,"/ADMD=%s",gp -> global_Admin);
		else
			(void) sprintf(tbuf,"%s/ADMD=%s",
				       tbuf,gp -> global_Admin);
	}

	if (gp -> global_Country) {
		if (tbuf[0] == '\0')
			(void) sprintf(tbuf,"/C=%s",gp -> global_Country);
		else
			(void) sprintf(tbuf, "%s/C=%s",
				       tbuf, gp -> global_Country);
	}
	if (tbuf[0] != '\0')
		(void) strcat (tbuf, "/");

	(void) strcpy (buffer, tbuf);

	PP_DBG (("Lib/globalid2rfc returns (%s)", buffer));

	return;
}
