/* compress: compress out redundant, & strip trailing linear white space */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/util/RCS/compress.c,v 5.0 90/09/20 16:17:05 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/util/RCS/compress.c,v 5.0 90/09/20 16:17:05 pp Exp Locker: pp $
 *
 * $Log:	compress.c,v $
 * Revision 5.0  90/09/20  16:17:05  pp
 * rcsforce : 5.0 public release
 * 
 */



#include "util.h"


char *compress (fromptr, toptr)
register char   *fromptr;
register char   *toptr;
{
	register char   chr;
	char		*in_toptr = toptr;
	/*
	init to skip leading spaces
	*/
	chr = ' ';

	while ((*toptr = *fromptr++) != '\0') {
		/*
		convert newlines and tabs to only save first space
		*/
		if (isspace (*toptr)) {
			if (chr != ' ')
				*toptr++ = chr = ' ';
		}
		else
			chr = *toptr++;
	}


	/*
	remove trailing space if any
	*/
	if ((chr == ' ')
	    && (toptr != in_toptr))
		*--toptr = '\0';
	return (toptr);
}
