/* distlist.h: distribution list structure definition */

/*
 * @(#) $Header: /cs/research/pp/hubris/pp-beta/h/RCS/dl.h,v 5.0 90/09/20 16:50:04 pp Exp Locker: pp $
 *
 * $Log:	dl.h,v $
 * Revision 5.0  90/09/20  16:50:04  pp
 * rcsforce : 5.0 public release
 * 
 *
 */



#ifndef _H_DL
#define _H_DL

typedef struct namelist_struct {
	char			*name;
	char			*file;  /* file this name comes from */
					/* NULL => in string name */
	struct namelist_struct 	*next;
} Name;

typedef struct distlist_struct {
	char			*dl_listname,
				*dl_desc,
				*dl_file;
	char			*dl_moderator;
	Name			*dl_uids;	/* uids allowed to modify */
	Name			*dl_list;
} dl;
	
	
#define NULLDL	((dl *)0)

/* list acceess modes */
#define FREEMODE 0666
#define PUBMODE 0744
#define PRIVMODE 0644
#define SECRMODE 0600
#define TOPMODE 0000

#endif
