/* tb_q.c: Queue tables - of the keywds found in ADDR Control Files */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/pp/RCS/tb_q.c,v 5.0 90/09/20 16:12:04 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/pp/RCS/tb_q.c,v 5.0 90/09/20 16:12:04 pp Exp Locker: pp $
 *
 * $Log:	tb_q.c,v $
 * Revision 5.0  90/09/20  16:12:04  pp
 * rcsforce : 5.0 public release
 * 
 */



#include	"util.h"
#include	"q.h"
#include        "tb_q.h"
#include        <isode/cmd_srch.h>


/* ------------------------------------------------------------------------ */



CMD_TABLE  qtbl_que[] = { /* message-envelope-parameters */
	"Message-type",                 Q_MSGTYPE,
	"Message-size",                 Q_MSGSIZE,
	"Queued-time",                  Q_QUEUETIME,
	"Departure-time",               Q_DEPARTIME,
	"Deferred-time",                Q_DEFERREDTIME,
	"Inbound-channel",              Q_INCHANNEL,
	"Inbound-mta",                 	Q_INHOST,
	"Number-warnings",              Q_NWARNS,
	"Warning-interval",             Q_WARNINTERVAL,
	"Return-interval",              Q_RETINTERVAL,
	"Content-type",                 Q_CONTENT_TYPE,
	"Encoded-info",                 Q_ENCODED_INFO,
	"Original-encoded-info",	Q_ORIG_ENCODED_INFO,
	"Priority",                     Q_PRIORITY,
	"Ua-id",                        Q_UA_ID,
	"MsgId",                        Q_MSGID,
	"Trace",                        Q_TRACE,
	"disclose-recips",		Q_DISCLOSE_RECIPS,
	"implicit-conv",		Q_IMPLICIT_CONVERSION,
	"alt-recip-allowed",		Q_ALTERNATE_RECIP_ALLOWED,
	"cont-return",			Q_CONTENT_RETURN_REQUEST,
	"latest-time",			Q_LATESTTIME,
	"recip-reassign-prohib",	Q_RECIP_REASSIGN_PROHIBITED,
	"dl-exp-prohibited",		Q_DL_EXP_PROHIBITIED,
	"pp-cont-corr",			Q_PP_CONT_CORR,
	"content-corr",			Q_GEN_CONT_CORR,
	"conv-with-loss",		Q_CONV_WITH_LOSS,
	"orig-return-addr",		Q_ORIG_RETURN_ADDRESS,
	"forward-req",			Q_FORWARDING_REQUEST,
	"originator-certificate",	Q_ORIGINATOR_CERT,
	"algorithm-id",			Q_ALGORITHM_ID,
	"message-origin-auth-check",	Q_MESSAGE_ORIGIN_AUTH_CHECK,
	"security-label",		Q_SECURITY_LABEL,
	"proof-of-sub",			Q_PROOF_OF_SUB,
	"message-extension",		Q_MESSAGE_EXTENSIONS,
	"dl-exp-history",		Q_DL_EXP_HISTORY,
	"dl-exp-hist-crit",		Q_DL_EXP_HIST_CRIT,
	"Start-of-MsgEnvAddr",          Q_END,
	0,                              -1
	};



CMD_TABLE  qtbl_mt_type[] = {  /* message-type */
	"User-Mpdu",     MT_UMPDU,
	"Probe-Mpdu",    MT_PMPDU,
	"Deliv-Mpdu",    MT_DMPDU,
	0,               -1
	};


CMD_TABLE  qtbl_priority[] = { /* message-priority */
	"normal",       PRIO_NORMAL,
	"non-urgent",   PRIO_NONURGENT,
	"urgent",       PRIO_URGENT,
	0,              -1
	};
